/*
 * Programming in Java, Jacobs University, 2015
 *
 * Definition of the annotation @Note, which has a value and a
 * priority.  The annotation definition itself is annotated to (i)
 * incorporate the annotation into javadoc document, (ii) to make
 * the annotated information available at runtime, and (iii) to
 * define where the annotation can be used.
 */

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD, ElementType.CONSTRUCTOR, ElementType.PACKAGE, ElementType.FIELD})
public @interface Note {
    String value();
    Priority priority() default Priority.MEDIUM;
}
